org.apache.fop.accessibility

## Interface AccessibilityEventProducer

- All Superinterfaces:
    EventProducer

      public interface AccessibilityEventProducer
      extends EventProducer

  Event producer for accessibility-related events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AccessibilityEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `noStructureTreeInXML(Object source)` The structure tree is missing in the XML file.

- - ### Method Detail

    - #### noStructureTreeInXML

          void noStructureTreeInXML(Object source)

      The structure tree is missing in the XML file.
      Parameters:
        `source` - the event source
      Event.severity:
        FATAL

Copyright © 2023 Apache Software Foundation. All rights reserved.